Uploaded image for project: 'PuppetDB'
  1. PuppetDB
  2. PDB-1508

Deprecate HSQLDB and change default database

    XMLWordPrintable

    Details

    • Type: Task
    • Status: Closed
    • Priority: Normal
    • Resolution: Fixed
    • Affects Version/s: None
    • Fix Version/s: PDB 3.0.0
    • Component/s: None
    • Labels:
      None
    • Template:
    • Story Points:
      1
    • Sprint:
      PuppetDB 2015-06-03, PuppetDB 2015-06-17

      Description

      Now we've announced the HSQLDB deprecation, time to do the necessary.

      This involes:

      a) Throwing deprecation messages when someone uses HSQLDB
      b) Changing documentation to reflect its deprecated status
      c) Changing the default to be postgresql in our shipped product <- this requires some thought, new users might not understand the errors they get when there is no database setup yet.

        Attachments

          Issue Links

            Activity

              People

              Assignee:
              Unassigned
              Reporter:
              ken Ken Barber
              Votes:
              0 Vote for this issue
              Watchers:
              1 Start watching this issue

                Dates

                Created:
                Updated:
                Resolved:

                  Zendesk Support